
Redmine - Defect #13860

Text of custom fields is not wrapped in PDF exports of issues

2013-04-24 10:26 - Jürgen Diez

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.6.0   

Resolution: Fixed Affected version: 2.2.0

Description

The text of custom text fields is not wrapped in PDF exports of a single issue. They are printed in a single line.

Therefore the PDF export, which whould be a very helpful feature, is useless for me.

I'm using the Bitnami Redmine 2.2.0.

My language is set to German.

About your application's environment

Ruby version              1.9.3 (i386-mingw32)

RubyGems version          1.8.23

Rack version              1.4

Rails version             3.2.11

Active Record version     3.2.11

Action Pack version       3.2.11

Active Resource version   3.2.11

Action Mailer version     3.2.11

Active Support version    3.2.11

Middleware                ActionDispatch::Static, Rack::Lock, #&lt;ActiveSupport::Cache::Strategy:

:LocalCache::Middleware:0x1a53320&gt;, Rack::Runtime, Rack::MethodOverride, ActionDispatch::Reques

tId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions, ActionD

ispatch::RemoteIp, ActionDispatch::Reloader, ActionDispatch::Callbacks, ActiveRecord::ConnectionAd

apters::ConnectionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::S

ession::CookieStore, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Ra

ck::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          C:/BitNami/redmine-2.2.2-0/apps/redmine/htdocs

Environment               development

Database adapter          mysql2

Database schema version   20121026003537

 Thanks for your great work.

Let me know if you need more information.

Related issues:

Related to Redmine - Defect #11839: Text overlay when exporting issues to pdf... Confirmed

History

#1 - 2013-04-24 10:49 - Toshi MARUYAMA

- Category set to PDF export

#2 - 2013-07-08 05:56 - Toshi MARUYAMA

There is a post with some codes.

http://www.redmine.org/boards/2/topics/38434?r=38548#message-38548

#3 - 2013-07-09 13:55 - Jürgen Diez

- File pdf.rb.patch added

Thanks for the link.

Based on the information given there I tried to fix the issue with the attached patch based on version 2.2.0.

I didn't know how to calculate the text box height in advance that's why I had to draw them twice in order to draw odd lines with a different background
https://www.redmine.org/versions/56


color.

#4 - 2013-07-29 10:44 - yu xiaohang

Juergen Diez wrote:

Thanks for the link.

Based on the information given there I tried to fix the issue with the attached patch based on version 2.0.0.

I didn't know how to calculate the text box height in advance that's why I had to draw them twice in order to draw odd lines with a different

background color.

 its seem like this problem had not fixed in 2.3.0, i applied patch but it cause a  internal error problem when i click PDF link

#5 - 2013-10-01 08:26 - Toshi MARUYAMA

- Related to Defect #11839: Text overlay when exporting issues to pdf files added

#6 - 2014-10-18 13:06 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 2.6.0

- Resolution set to Fixed

Fixed by #17570.

Files

ft_steuerung-1104.pdf 310 KB 2013-04-24 Jürgen Diez

pdf.rb.patch 2.66 KB 2013-07-09 Jürgen Diez
